---
apiVersion: operators.coreos.com/v2
kind: OperatorCondition
metadata:
  creationTimestamp: "2025-10-27T12:42:45Z"
  generation: 8
  labels:
    operators.coreos.com/odf-operator.openshift-storage: ""
  managedFields:
  - apiVersion: operators.coreos.com/v2
    fieldsType: FieldsV1
    fieldsV1:
      f:metadata:
        f:labels:
          .: {}
          f:operators.coreos.com/odf-operator.openshift-storage: {}
        f:ownerReferences:
          .: {}
          k:{"uid":"e7cac2e8-387f-4819-b41b-9ace9aa48945"}: {}
      f:spec:
        .: {}
        f:deployments: {}
        f:serviceAccounts: {}
    manager: olm
    operation: Update
    time: "2025-10-27T12:42:47Z"
  - apiVersion: operators.coreos.com/v2
    fieldsType: FieldsV1
    fieldsV1:
      f:spec:
        f:conditions: {}
    manager: manager
    operation: Update
    time: "2025-10-27T12:49:57Z"
  - apiVersion: operators.coreos.com/v2
    fieldsType: FieldsV1
    fieldsV1:
      f:status:
        .: {}
        f:conditions: {}
    manager: olm
    operation: Update
    subresource: status
    time: "2025-10-27T12:49:57Z"
  name: odf-operator.v4.19.6-rhodf
  namespace: openshift-storage
  ownerReferences:
  - apiVersion: operators.coreos.com/v1alpha1
    blockOwnerDeletion: false
    controller: true
    kind: ClusterServiceVersion
    name: odf-operator.v4.19.6-rhodf
    uid: e7cac2e8-387f-4819-b41b-9ace9aa48945
  resourceVersion: "66160"
  uid: 3e81c3f7-c829-45f1-a8e6-99a77d189496
spec:
  conditions:
  - lastTransitionTime: "2025-10-27T12:49:57Z"
    message: No dependent reports not upgradeable status
    reason: Dependents
    status: "True"
    type: Upgradeable
  deployments:
  - odf-operator-controller-manager
  - odf-console
  serviceAccounts:
  - odf-operator-controller-manager
  - odf-operator-controller-manager
status:
  conditions:
  - lastTransitionTime: "2025-10-27T12:49:57Z"
    message: No dependent reports not upgradeable status
    observedGeneration: 8
    reason: Dependents
    status: "True"
    type: Upgradeable
